summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Pagano <mpagano@gentoo.org>2020-09-03 18:26:40 -0400
committerMike Pagano <mpagano@gentoo.org>2020-09-03 18:26:49 -0400
commit369d298b75f216a1a593cdf7ff910ff710ea69bc (patch)
treee1c7bf63d874fe32d0bb34193aa4ffc9ecb4632e /app-portage/portpeek/portpeek-3.1.5.ebuild
parentdev-lang/erlang: bump up to 23.0.3 (diff)
downloadgentoo-369d298b75f216a1a593cdf7ff910ff710ea69bc.tar.gz
gentoo-369d298b75f216a1a593cdf7ff910ff710ea69bc.tar.bz2
gentoo-369d298b75f216a1a593cdf7ff910ff710ea69bc.zip
app-portage/portpeek: Fix handling of */*
Thanks to CaptainBlood for reporting Closes: https://bugs.gentoo.org/740120 Package-Manager: Portage-3.0.4, Repoman-2.3.23 Signed-off-by: Mike Pagano <mpagano@gentoo.org>
Diffstat (limited to 'app-portage/portpeek/portpeek-3.1.5.ebuild')
-rw-r--r--app-portage/portpeek/portpeek-3.1.5.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/app-portage/portpeek/portpeek-3.1.5.ebuild b/app-portage/portpeek/portpeek-3.1.5.ebuild
new file mode 100644
index 00000000000..9b066f88924
--- /dev/null
+++ b/app-portage/portpeek/portpeek-3.1.5.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit python-r1
+
+DESCRIPTION="A helper program for maintaining the package.keyword and package.unmask files"
+HOMEPAGE="https://www.mpagano.com/blog/?page_id=3"
+SRC_URI="https://www.mpagano.com/downloads/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~sparc ~x86"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ >=app-portage/gentoolkit-0.5.0
+ || (
+ >=sys-apps/portage-3.0.4[${PYTHON_USEDEP}]
+ )"
+
+src_install() {
+ python_foreach_impl python_doscript ${PN}
+ doman *.[0-9]
+}